.slide-in-panel {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    z-index: 9999999;

    .slide-in-panel__overlay {
        content: "";
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        width: 0;
        background-color: $color-transparent;
        background: 0 0;
        transition: background-color 0.2s ease-out;
    }

    &.isOpen {
        width: 100%;

        .slide-in-panel__overlay {
            width: 100%;
            background-color: $modal-overlay-color;
        }
    }

    .slide-in-panel__container {
        position: fixed;
        max-width: 100%;
        height: 100%;
        top: 0;
        right: 0;
        background: $color-background;
        z-index: 1;
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;

        @include respond-to(sm) {
            max-width: 90%;
        }
    }

    .slide-in-panel__header {
        border-bottom: 1px solid $color-border;
        padding: 0 2.4rem;
        align-items: center;
        height: 4.3rem;
        display: flex;
        flex-shrink: 0;

        @include respond-to(sm) {
            height: 5.1rem;
        }


        @include respond-to(md) {
            height: 6.1rem;
        }


        & > .layout {
            width: 100%;
        }

        .header-label {
            color: $color-text-light;
            width: 100%;
            padding-left: 2.4rem;
            border-left: 1px $color-border solid;

            .header-label__info {
                margin-left: 0.6rem;
                color: $color-text;
            }
        }
    }

    .slide-in-panel__content {
        padding: 1.2rem 2.4rem;
        overflow: auto;
        flex-grow: 1;
    }

    .slide-in-panel__footer {
        flex-shrink: 0;
        padding: 1.2rem 2.4rem;
        border-top: 1px solid $color-border;
    }
}
